<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Factors of num.bers</title>
    <script>
        function myfun(){
            var n=parseInt(document.getElementById("text").value);
            for(var i=1;i<=n;i++)
            {
                if(n%i==0)
                {
                document.write(i+",");
            }}
        }
    </script>
</head>
<body>
    <label>Enter the number</label>
    <input type="text" id="text"><br><br>
    <button type="button" onclick="myfun()">click to see Factors</button>
    
</body>
</html>